<!-- Content Header (Page header) -->
<section class="content-header">
  <h1>
    担当部署表示
  </h1>
  <ol class="breadcrumb">
    <li><a href="/"><i class="fas fa-tachometer-alt"></i> トップ</a></li>
    <li><a href="/section"></i>担当部署一覧</a></li>
    <li class="active">担当部署表示</li>
  </ol>
</section>

<!-- Main content -->
<section class="content">
  <% if (typeof message !== 'undefined') { %>
    <%- include(`../common/message_${message.type}`, message) %>
  <% } %>
  <!-- Small boxes (Stat box) -->
  <div class="row">
    <div class="col col-xs-12">
      <div class="box box-primary">
        <div class="box-header with-border" style="padding: 2px 10px;">
          <h3 class="box-title wrap-line" style="line-height: 34px;">
            担当部署情報
          </h3>
          <button class="btn btn-danger float-right" onclick="back()">
            <i class="fas fa-times"></i> 閉じる
          </button>
          <a href="/section/<%= section.id %>/checkLock" class="btn btn-primary float-right" style="margin-right: 5px;">
            <i class="fas fa-pen"></i> 編集
          </a>
          <% if (section.disableFlag === 0) { %>
          <a href="/section/<%= section.id %>/disableFlag/1" class="btn btn-danger float-right" style="margin-right: 5px;">
            <i class="fas fa-trash-alt"></i> 無効にする
          </a>
          <% } %>
          <% if (section.disableFlag === 1) { %>
          <a href="/section/<%= section.id %>/disableFlag/0" class="btn btn-success float-right" style="margin-right: 5px;">
            <i class="fas fa-undo-alt"></i> 有効にする
          </a>
          <% } %>
        </div>
        <!-- /.box-header -->
        <!-- form start -->
        <form class="form-horizontal">
        <div class="box-body">
          <div class="row">
            <div class="col col-12 col-md-6 col-lg-4">
              <div class="form-group row">
                <label for="id" class="col col-4 control-label">ID</label>
                <div class="col col-8">
                  <input type="text" class="form-control" id="id" name="id" value="<%= section.id %>" readonly>
                </div>
              </div>
            </div>
            <div class="col col-12 col-md-6 col-lg-4">
              <div class="form-group row">
                <label for="code" class="col col-4 control-label">部署コード</label>
                <div class="col col-8">
                  <input type="number" class="form-control" id="code" name="code" value="<%= section.code %>" readonly>
                </div>
              </div>
            </div>
            <div class="col col-12 col-md-6 col-lg-4">
              <div class="form-group row">
                <label for="name" class="col col-4 control-label">部署名</label>
                <div class="col col-8">
                  <input type="text" class="form-control" id="name" name="name" value="<%= section.name %>" readonly>
                </div>
              </div>
            </div>
            <div class="col col-12 col-md-6 col-lg-4">
              <div class="form-group row">
                <label for="higherSectionDisplay" class="col col-4 control-label">上位部署コード</label>
                <div class="col col-8">
                  <div class="input-group">
                    <input type="text" class="form-control" id="higherSectionDisplay" name="higherSectionDisplay" value="<%= section.higherSection ? `${section.higherSection.code} - ${section.higherSection.name}` : '' %>" readonly>
                    <div class="input-group-append">
                      <a class="btn btn-primary <%= section.higherSectionId ? '' : 'disabled' %>" target="_blank" <%= section.higherSectionId ? `href=/section/${section.higherSectionId}` : 'href=javascript:void(0)' %>>
                        <i class="fas fa-external-link-alt no-margin"></i>
                      </a>
                    </div>
                  </div>
                </div>
              </div>
            </div>
            <div class="col col-12 col-md-6 col-lg-4">
              <div class="form-group row">
                <label for="sort" class="col col-4 control-label">表示順位</label>
                <div class="col col-8">
                  <input type="number" class="form-control" id="sort" name="sort" value="<%= section.sort %>" readonly>
                </div>
              </div>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  </form>
  <div class="row">
    <div class="col col-xs-12">
      <span class="mr-20" style="display: inline-block">
        <b>作成者：</b>
        <%= section.createdUserName %>
      </span>
      <span class="mr-20" style="display: inline-block">
        <b>作成日時：</b>
        <%= moment(section.createdAt).tz('Asia/Tokyo').format('YYYY/MM/DD HH:ss') %>
      </span>
      <span class="mr-20" style="display: inline-block">
        <b>更新者：</b>
        <%= section.updatedUserName %>
      </span>
      <span class="mr-20" style="display: inline-block">
        <b>更新日時：</b>
        <%= moment(section.updatedAt).tz('Asia/Tokyo').format('YYYY/MM/DD HH:ss') %>
      </span>
    </div>
  </div>
</section>
<!-- /.content -->
<%- contentFor('displayId') %>
sectionView
<%- contentFor('pageTitle') %>
担当部署表示｜NPOC